%define fname Mail-SpamAssassin
%define _without_test 1
# normal method nukes on errors :(
%define _perl_req_method relaxed

Name: spamassassin
Version: 2.60
Release: alt1

Summary: Spam filter for email written in perl

Group: Networking/Mail
License: Artistic
URL: http://www.spamassassin.org/
Source0: http://www.spamassassin.org/released/%fname-%version.tar.bz2
Source1: spamd.init
Source2: spamassassin_local.cf
Source3: spamd.sysconfig

# Automatically added by buildreq on Mon Sep 29 2003
BuildRequires: libssl-devel perl-HTML-Parser perl-devel

Requires: perl-Net-DNS

Requires: perl-Mail-SpamAssassin >= %{version}

%description
SpamAssassin provides you with a way to reduce if not completely
eliminate Unsolicited Commercial Email (SPAM) from your incoming
email. It can be invoked by a MTA such as exim or postfix, or can
be called from a procmail script, .forward file, etc. It uses a
genetic-algorithm evolved scoring system to identify messages which
look spammy, then adds headers to the message so they can be filtered
by the user's mail reading software. This distribution includes the
spamd/spamc components which create a server that considerably speeds
processing of mail.

%package spamd
Summary: spamd - daemonized version of spamassassin
Group: Networking/Mail

%description spamd
The purpose of this program is to provide a daemonized version of the
spamassassin executable. The goal is improving throughput performance
for automated mail checking.

This is intended to be used alongside "spamc", a fast, low-overhead C
client program.

%package spamc
Summary: spamc - client for spamd
Group: Networking/Mail
Requires: spamassassin-spamd = %{version}

%description spamc
Spamc is the client half of the spamc/spamd pair. It should be used in
place of "spamassassin" in scripts to process mail. It will read the
mail from STDIN, and spool it to its connection to spamd, then read
the result back and print it to STDOUT. Spamc has extremely low
overhead in loading, so it should be much faster to load than the
whole spamassassin program.

%package -n perl-Mail-SpamAssassin
Summary: Mail::SpamAssassin - SpamAssassin e-mail filter libraries
Group: Development/Perl
Requires: perl-HTML-Parser

%description -n perl-Mail-SpamAssassin
Mail::SpamAssassin is a Mail::Audit plugin to identify spam using text
analysis and several internet-based realtime blacklists. Using its
rule base, it uses a wide range of heuristic tests on mail headers and
body text to identify ``spam'', also known as unsolicited commercial
email. Once identified, the mail can then be optionally tagged as spam
for later filtering using the user's own mail user-agent application.

%prep
%setup -q -n %fname-%version

%build
%perl_vendor_build

%install
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sysconfdir}/mail/spamassassin}                                                                       

%perl_vendor_install SYSCONFDIR=$RPM_BUILD_ROOT%_sysconfdir install

# enforce sane permissions
chmod 644 $RPM_BUILD_ROOT/%perl_vendor_privlib/Mail/SpamAssassin/*

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%_initrddir/spamd
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/local.cf
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/spamd

%post spamd
%post_service spamd

%preun spamd
%preun_service spamd

%files
%doc BUGS Changes COPYRIGHT INSTALL README TRADEMARK USAGE procmailrc.example
%_bindir/sa-learn
%_bindir/spamassassin
%_mandir/man1/sa-learn*
%_mandir/man1/spamassassin*

%files spamd
%doc spamd/README*
%config(noreplace) %_initrddir/spamd
%config(noreplace) /etc/sysconfig/spamd
%_bindir/spamd
%_mandir/man1/spamd*

%files spamc
%_bindir/spamc
%_mandir/man1/spamc*

%files -n perl-Mail-SpamAssassin
%doc sample-nonspam.txt sample-spam.txt
%dir %_sysconfdir/mail/spamassassin
%config(noreplace) %{_sysconfdir}/mail/spamassassin/*
%dir %_datadir/spamassassin
%config(noreplace) %_datadir/spamassassin/*
%perl_vendor_privlib/Mail
%_mandir/man3/*

%changelog
* Wed Oct 15 2003 Victor Forsyuk <force@altlinux.ru> 2.60-alt1
- local.cf tuning

* Mon Sep 29 2003 Victor Forsyuk <force@altlinux.ru> 2.60-alt0
- Initial build for Sisyphus.
